## -*- coding: utf-8 -*-

from StringIO import StringIO



class AdvancedLogger(StringIO):

  _identLevel = 0

  def _getIdent(self):
    return "&nbsp;" * self._identLevel * 4

  def error(self, errorMessage):
    print >> self, "%s*** ERROR : %s" % (self._getIdent() ,errorMessage)

  def info(self, noticeMessage):
    print >> self, "%s--- INFO : %s" % (self._getIdent() ,noticeMessage)

  def success(self, noticeMessage):
    print >> self, "%s+++ SUCCESS : %s" % (self._getIdent() ,noticeMessage)

  def log(self, noticeMessage):
    print >> self, "%s%s" % (self._getIdent() ,noticeMessage)

  def openSection(self, sectionName):
    print >> self, "%s======================================================" % self._getIdent()
    print >> self, "%s== Section '%s'" % (self._getIdent(), sectionName)
    print >> self, "%s------------------------------------------------------" % self._getIdent()
    self._identLevel = self._identLevel + 1

  def closeSection(self, sectionName):
    self._identLevel = self._identLevel - 1
    if self._identLevel < 0:
      self._identLevel = 0
    print >> self, "%s------------------------------------------------------" % self._getIdent()
    print >> self, "%s== End of section '%s'" % (self._getIdent(), sectionName)
    print >> self, "%s======================================================" % self._getIdent()

  def openSubsection(self, subsectionName):
    print >> self, "%s++++++++++++++++++++++++++++++++" % self._getIdent()
    print >> self, "%s++ Subsection '%s'" % (self._getIdent(), subsectionName)
    self._identLevel = self._identLevel + 1

  def closeSubsection(self, subsectionName):
    self._identLevel = self._identLevel - 1
    if self._identLevel < 0:
      self._identLevel = 0
    print >> self, "%s++ End of subsection '%s'" % (self._getIdent(), subsectionName)
    print >> self, "%s++++++++++++++++++++++++++++++++" % self._getIdent()



