## File "Configs/skins.py"
## -*- coding: utf-8 -*-
# 
# Configuration of products skins.



##---------------------------------------------------------------------------



## FILE_EXTENSIONS
# Edit this tuple of string to list the accepted file extensions for
# filesystem stored objects.
# 
# 
FILE_EXTENSIONS = (
  'exe',
  'txt',
)



##---------------------------------------------------------------------------



## SKIN_DEFINITIONS
# Edit this tuple of python dictionnaries to list the skins that will be
# installed for this product.
# 
# 
# * 'skin_dir' (required) : string
#   Directory containing the skin file. If nothing else is specified, this
#   directory is registered to all existing skins.
# 
# * 'skin_name' (optional - default : None) : string
#   Name of the skin associated to this directory.
# 
# * 'base_skin' (optional - default : None) : string
#   Name of the skin used to initialize the created skin.
# 
# * 'select_skin' (optional - default: None) : boolean
#   Boolean which tell if the skins must be used as default skin after its
#   creation.
# 
# 
SKIN_DEFINITIONS = (
  {
    'skin_name' : 'Internet Arc De Seine',
    'base_skin' : 'Plone Default',
    'select_skin' : True,
    'skin_dir' : 'skins',
  },
)



##---------------------------------------------------------------------------



## STYLESHEETS
# Edit this tuple of python dictionnaries to list the stylesheets that will
# be registered with the portal_css tool.
# 
# 
# * 'id' (required) : string
#   it must respect the name of the css or DTML file (case sensitive).
#   '.dtml' suffixes must be ignored.
# 
# * 'expression' (optional - default: '') : tal condition
#   If this condition is verified (True), the stylesheet is used.
#   Otherwise, the stylesheet is ignored.
# 
# * 'media' (optional - default: '') : string
# - possible values : 'all', 'screen', 'print', 'projection', 'handheld'...
#   Media for which the stylesheet has been designed. See W3C recommandations
#   for more details.
# 
# * 'rel' (optional - default: 'stylesheet') : string
# - possible values : 'stylesheet', 'alternate stylesheet'
#   Determine if this stylesheet is a required stylesheet or an alternative stylesheet.
#   Used for example by "Small text" and "Large text" plone display options.
# 
# * 'title' (optional - default: '') : string
#   Title of the stylesheet
# 
# * 'rendering' (optional - default: 'import'): string
# - possible values : 'import', 'link', 'inline'
#   Determine the way the stylesheet is "imported" into the html page.
#
# * 'enabled' (optional - default: True): boolean
#   Determine if the stylesheet is used or not.
# 
# * 'cookable' (optional - default: True): boolean
#   (aka merging allowed)
#   Determine if the stylesheet can be merged with other stylesheet to reduct
#   the number of pages to load.
# 
# 
# See registerStylesheet() arguments in ResourceRegistries/tools/CSSRegistry.py
# for the latest list of all available keys and default values.
# 
# 
STYLESHEETS = (
    {'id': 'arc-de-seine-columns.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'arc-de-seine-public.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'arc-de-seine-portlets.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'arc-de-seine-menu.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'arc-de-seine-rubriques.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'arc-de-seine-members.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'arc-de-seine-portlet-shortcut.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'arc-de-seine-portlet-popoll.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'arc-de-seine-print.css', 'media': 'print', 'rendering': 'import'},
)



##---------------------------------------------------------------------------



## JAVASCRIPTS
# Edit this tuple of python dictionnaries to list the javascripts that will
# be registered with the portal_javascripts tool.
# 
# 
# * 'id' (required) : string
#   it must respect the name of the js or DTML file (case sensitive).
#   '.dtml' suffixes must be ignored.
# 
# * 'expression' (optional - default: '') : tal condition
#   If this condition is verified (True), the javascript is used.
#   Otherwise, the stylesheet is ignored.
# 
# * 'inline' (optional - default: False) : boolean
#   Determine the way the script is loaded into the page (inline or imported).
# 
# * 'enabled' (optional - default: True) : boolean
#   Determine if the script is used or not.
# 
# * 'cookable' (optional - default: True) : boolean
#   (aka merging allowed)
#   Determine if the script can be merged with other scripts to reduct
#   the number of pages to load.
#   Ignored when 'inline' is True.
# 
# 
# See registerScript() arguments in ResourceRegistries/tools/JSRegistry.py
# for the latest list of all available keys and default values.
# 
# 
JAVASCRIPTS = ()



