## File "Configs/workflows.py"
## -*- coding: utf-8 -*-
# 
# Configuration of portal workflows.



TYPES_WORKFLOWS = {
  'arc_workflow' : '__default__',
  'arc_folder_workflow' : (
                           'Folder',
                           'Large Plone Folder',
                           'Topic',
                          ),
  'arc_file_workflow' : (
                          'Image',
                          'File',
                        ),
  'newsletter_suscriber_workflow' : (
                                      'Subscriber',
                                    ),
}



WORKFLOWS = {
  'arc_workflow' : {
    'title' : 'Default Workflow [ArcDeSeine_Skin]',
    'initial_state' : 'private',
    'state_variable' : 'review_state',
    'managedPermissions' : (
      'Access contents information',
      'Modify portal content',
      'View',
      'Change portal events',
      'Request review',

      'Manage properties',
      'Undo changes',
      'Add portal events',
      'Change local roles',
      'Change portal topics',
      'Edit PlonePopoll',
      'Modify constrain types',
      'Modify view template',
      'PNL Add Subscriber',
      'PNL Change Newsletter',
      'PNL Change Newsletter Theme',
      'PNL Change Subscriber',
      'Set Group Ownership',
      'View Groups',
    ),
    'states' : {
      'visible' : {
        'title' : 'Public Draft',
        'transitions' : ('hide', 'publish', 'submit',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},
        ),
      },
      'private' : {
        'title' : 'Private',
        'transitions' : ('show', 'publish', 'submit',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : [], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},
        ),
      },
      'pending' : {
        'title' : 'Pending',
        'transitions' : ('hide', 'publish', 'reject', 'retract',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 1, 'roles' : ['Manager', 'Owner', 'Reviewer'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},
        ),
      },
      'rejected' : {
        'title' : 'Rejected',
        'transitions' : ('hide', 'publish', 'submit',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},
        ),
      },
      'published' : {
        'title' : 'Published',
        'transitions' : ('hide', 'reject', 'retract',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 1, 'roles' : ['Anonymous', 'Manager'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'], },
          { 'permission' : 'View', 'acquired' : 1, 'roles' : ['Anonymous', 'Manager'], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},
        ),
      },
    },
    'transitions' : {
      'hide' : {
        'title' : """Member makes content private""",
        'new_state_id' : """private""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Make private""",
        'actbox_url' : """%(content_url)s/content_hide_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_roles': 'Owner'},
      },
      'show' : {
        'title' : """Member makes content visible""",
        'new_state_id' : """visible""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Make visible""",
        'actbox_url' : """%(content_url)s/content_show_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_roles': 'Owner'},
      },
      'publish' : {
        'title' : """Reviewer publishes content""",
        'new_state_id' : """published""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Publish""",
        'actbox_url' : """%(content_url)s/content_publish_form""",
        'actbox_category' : """workflow""",
        'props' : {
                    'guard_permissions': 'Review portal content',
                    'guard_expr' : 'python: (status == "pending") or list(here.portal_membership.getAuthenticatedMember().getRolesInContext(here)).count("Manager") > 0 or list(here.portal_membership.getAuthenticatedMember().getRolesInContext(here)).count("Owner") > 0',
                  },
      },
      'submit' : {
        'title' : """Member requests publishing""",
        'new_state_id' : """pending""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """WFSubmit""",
        'actbox_name' : """Submit""",
        'actbox_url' : """%(content_url)s/content_submit_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Request review'},
      },
      'reject' : {
        'title' : """Reviewer rejects submission""",
        'new_state_id' : """rejected""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """WFReject""",
        'actbox_name' : """Reject""",
        'actbox_url' : """%(content_url)s/content_reject_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Review portal content'},
      },
      'retract' : {
        'title' : """Member retracts submission""",
        'new_state_id' : """visible""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Retract""",
        'actbox_url' : """%(content_url)s/content_retract_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Request review'},
      },
    },
    'variables' : {
      'action' : {
        'description' : """The last transition""",
        'default_value' : """""",
        'default_expr' : """transition/getId|nothing""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'review_history' : {
        'description' : """Provides access to workflow history""",
        'default_value' : """""",
        'default_expr' : """state_change/getHistory""",
        'for_catalog' : 0,
        'for_status' : 0,
        'update_always' : 0,
        'props' : {'guard_permissions': 'Request review; Review portal content'}
      },
      'actor' : {
        'description' : """The ID of the user who performed the last transition""",
        'default_value' : """""",
        'default_expr' : """user/getId""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'comments' : {
        'description' : """Comments about the last transition""",
        'default_value' : """""",
        'default_expr' : """python:state_change.kwargs.get('comment', '')""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'time' : {
        'description' : """Time of the last transition""",
        'default_value' : """""",
        'default_expr' : """state_change/getDateTime""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
    },
    'worklists' : {
      'reviewer_queue' : {
        'description' : """Reviewer tasks""",
        'actbox_name' : """Pending (%(count)d)""",
        'actbox_url' : """%(portal_url)s/search?review_state=pending""",
        'actbox_category' : """global""",
        'props' : {'guard_permissions': 'Review portal content', 'var_match_review_state': 'pending'}
      },
    },
    'scripts' : {
      'WFSubmit' : 'WFSubmit.py',
      'WFReject' : 'WFReject.py',
    },
  },



  'arc_folder_workflow' : {
    'title' : 'Folder Workflow [ArcDeSeine_Skin]',
    'initial_state' : 'visible',
    'state_variable' : 'review_state',
    'managedPermissions' : (
      'Access contents information',
      'Modify portal content',
      'View',
      'List folder contents',
      'Add portal content',
      'Add portal folders',
      'PloneArticle: Add PloneArticle',
      'Add PlonePopolls',
      'ATContentTypes: Add Document',
      'ATContentTypes: Add Event',
      'ATContentTypes: Add Favorite',
      'ATContentTypes: Add File',
      'ATContentTypes: Add Folder',
      'ATContentTypes: Add Image',
      'ATContentTypes: Add Large Plone Folder',
      'ATContentTypes: Add Link',
      'ATContentTypes: Add News Item',

      'Request review',
      'Manage properties',
      'Undo changes',
      'Add portal events',
      'Change local roles',
      'Change portal events',
      'Change portal topics',
      'Edit PlonePopoll',
      'Modify constrain types',
      'Modify view template',
      'PNL Add Subscriber',
      'PNL Change Newsletter',
      'PNL Change Newsletter Theme',
      'PNL Change Subscriber',
      'Set Group Ownership',
      'View Groups',

      'View management screens',
      'Delete objects',
    ),
    'states' : {
      'visible' : {
        'title' : 'Public Draft',
        'transitions' : ('hide', 'publish', 'submit',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 1, 'roles' : ['Manager'], },
          { 'permission' : 'List folder contents', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Add portal content', 'acquired' : 1, 'roles' : ['Member',],},
          { 'permission' : 'Add portal folders', 'acquired' : 1, 'roles' : ['Member',],},
          { 'permission' : 'PloneArticle: Add PloneArticle', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add PlonePopolls', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Document', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Event', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Favorite', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add File', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Image', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Large Plone Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Link', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add News Item', 'acquired' : 1, 'roles' : ['Member'],},

          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer', 'Member', 'Owner'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'View management screens', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'],},
          { 'permission' : 'Delete objects', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'],},
        ),
      },
      'private' : {
        'title' : 'Private',
        'transitions' : ('publish', 'show', 'submit',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 1, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'List folder contents', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'Add portal content', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add portal folders', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PloneArticle: Add PloneArticle', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add PlonePopolls', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add Document', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add Event', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add Favorite', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add File', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add Image', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add Large Plone Folder', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add Link', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'ATContentTypes: Add News Item', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal events', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer', 'Owner'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Owner',], },
          { 'permission' : 'View management screens', 'acquired' : 0, 'roles' : ['Manager', 'Owner'],},
          { 'permission' : 'Delete objects', 'acquired' : 0, 'roles' : ['Manager', 'Owner'],},
        ),
      },
      'pending' : {
        'title' : 'Pending',
        'transitions' : ('hide', 'publish', 'reject', 'retract',),
        'permissions' : (
          { 'permission' : 'Add portal content', 'acquired' : 1, 'roles' : ['Member',],},
          { 'permission' : 'Add portal folders', 'acquired' : 1, 'roles' : ['Member',],},
          { 'permission' : 'Access contents information', 'acquired' : 0, 'roles' : ['Manager', 'Owner', 'Member', 'Reviewer',], },
          { 'permission' : 'List folder contents', 'acquired' : 0, 'roles' : ['Manager', 'Owner', 'Member', 'Reviewer',], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Owner', 'Member', 'Reviewer'], },
          { 'permission' : 'PloneArticle: Add PloneArticle', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add PlonePopolls', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Document', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Event', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Favorite', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add File', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Image', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Large Plone Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Link', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add News Item', 'acquired' : 1, 'roles' : ['Member'],},

          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer', 'Member', 'Owner'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer', 'Member', 'Owner'], },
          { 'permission' : 'View management screens', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'],},
          { 'permission' : 'Delete objects', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'],},
        ),
      },
      'rejected' : {
        'title' : 'Rejected',
        'transitions' : ('hide', 'publish', 'submit',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 1, 'roles' : ['Manager'], },
          { 'permission' : 'List folder contents', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Add portal content', 'acquired' : 1, 'roles' : ['Member',],},
          { 'permission' : 'Add portal folders', 'acquired' : 1, 'roles' : ['Member',],},
          { 'permission' : 'PloneArticle: Add PloneArticle', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add PlonePopolls', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Document', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Event', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Favorite', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add File', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Image', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Large Plone Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Link', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add News Item', 'acquired' : 1, 'roles' : ['Member'],},

          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer', 'Member', 'Owner'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'View management screens', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'],},
          { 'permission' : 'Delete objects', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'],},
        ),
      },
      'published' : {
        'title' : 'Published',
        'transitions' : ('hide', 'retract', 'publish',),
        'permissions' : (
          { 'permission' : 'Add portal content', 'acquired' : 1, 'roles' : ['Member',],},
          { 'permission' : 'Add portal folders', 'acquired' : 1, 'roles' : ['Member',],},
          { 'permission' : 'Access contents information', 'acquired' : 1, 'roles' : ['Anonymous', 'Manager'], },
          { 'permission' : 'List folder contents', 'acquired' : 1, 'roles' : ['Anonymous',], },
          { 'permission' : 'View', 'acquired' : 1, 'roles' : ['Anonymous', 'Manager'], },
          { 'permission' : 'PloneArticle: Add PloneArticle', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add PlonePopolls', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Document', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Event', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Favorite', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add File', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Image', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Large Plone Folder', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add Link', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'ATContentTypes: Add News Item', 'acquired' : 1, 'roles' : ['Member'],},

          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'View management screens', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'],},
          { 'permission' : 'Delete objects', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'],},
        ),
      },
    },
    'transitions' : {
      'hide' : {
        'title' : """Member makes content private""",
        'new_state_id' : """private""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Make private""",
        'actbox_url' : """%(content_url)s/content_hide_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_roles': 'Owner'},
      },
      'show' : {
        'title' : """Member makes content visible""",
        'new_state_id' : """visible""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Make visible""",
        'actbox_url' : """%(content_url)s/content_show_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_roles': 'Owner'},
      },
      'publish' : {
        'title' : """Reviewer publishes content""",
        'new_state_id' : """published""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Publish""",
        'actbox_url' : """%(content_url)s/content_publish_form""",
        'actbox_category' : """workflow""",
        'props' : {
                    'guard_permissions': 'Review portal content',
                    'guard_expr' : 'python: (status == "pending") or list(here.portal_membership.getAuthenticatedMember().getRolesInContext(here)).count("Manager") > 0 or list(here.portal_membership.getAuthenticatedMember().getRolesInContext(here)).count("Owner") > 0',
                  },
      },
      'submit' : {
        'title' : """Member requests publishing""",
        'new_state_id' : """pending""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """WFSubmit""",
        'actbox_name' : """Submit""",
        'actbox_url' : """%(content_url)s/content_submit_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Request review'},
      },
      'reject' : {
        'title' : """Reviewer rejects submission""",
        'new_state_id' : """rejected""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """WFReject""",
        'actbox_name' : """Reject""",
        'actbox_url' : """%(content_url)s/content_reject_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Review portal content'},
      },
      'retract' : {
        'title' : """Member retracts submission""",
        'new_state_id' : """visible""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Retract""",
        'actbox_url' : """%(content_url)s/content_retract_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Request review'},
      },
    },
    'variables' : {
      'action' : {
        'description' : """The last transition""",
        'default_value' : """""",
        'default_expr' : """transition/getId|nothing""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'review_history' : {
        'description' : """Provides access to workflow history""",
        'default_value' : """""",
        'default_expr' : """state_change/getHistory""",
        'for_catalog' : 0,
        'for_status' : 0,
        'update_always' : 0,
        'props' : {'guard_permissions': 'Request review; Review portal content'}
      },
      'actor' : {
        'description' : """The ID of the user who performed the last transition""",
        'default_value' : """""",
        'default_expr' : """user/getId""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'comments' : {
        'description' : """Comments about the last transition""",
        'default_value' : """""",
        'default_expr' : """python:state_change.kwargs.get('comment', '')""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'time' : {
        'description' : """Time of the last transition""",
        'default_value' : """""",
        'default_expr' : """state_change/getDateTime""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
    },
    'worklists' : {
      'reviewer_queue' : {
        'description' : """Reviewer tasks""",
        'actbox_name' : """Pending (%(count)d)""",
        'actbox_url' : """%(portal_url)s/search?review_state=pending""",
        'actbox_category' : """global""",
        'props' : {'guard_permissions': 'Review portal content', 'var_match_review_state': 'pending'}
      },
    },
    'scripts' : {
      'WFSubmit' : 'WFSubmit.py',
      'WFReject' : 'WFReject.py',
    },
  },



  'arc_file_workflow' : {
    'title' : 'File Workflow [ArcDeSeine_Skin]',
    'initial_state' : 'visible',
    'state_variable' : 'review_state',
    'managedPermissions' : (
      'Access contents information',
      'Modify portal content',
      'View',
      'Change portal events',
      'Request review',

      'Manage properties',
      'Undo changes',
      'Add portal events',
      'Change local roles',
      'Change portal topics',
      'Edit PlonePopoll',
      'Modify constrain types',
      'Modify view template',
      'PNL Add Subscriber',
      'PNL Change Newsletter',
      'PNL Change Newsletter Theme',
      'PNL Change Subscriber',
      'Set Group Ownership',
      'View Groups',

      'Review portal content',
    ),
    'states' : {
      'visible' : {
        'title' : 'Public Draft',
        'transitions' : ('hide', 'publish', 'submit',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Review portal content', 'acquired' : 1, 'roles' : ['Member', 'Owner'],},
        ),
      },
      'private' : {
        'title' : 'Private',
        'transitions' : ('show', 'publish',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager', 'Owner'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : [], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Review portal content', 'acquired' : 1, 'roles' : ['Owner'],},
        ),
      },
      'rejected' : {
        'title' : 'Rejected',
        'transitions' : ('hide', 'publish',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner', 'Reviewer'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager', 'Member', 'Owner'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager',],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : ['Member'],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Review portal content', 'acquired' : 1, 'roles' : ['Member', 'Owner',],},
        ),
      },
      'published' : {
        'title' : 'Published',
        'transitions' : ('hide', 'reject', 'retract',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 1, 'roles' : ['Anonymous', 'Manager'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : ['Member'], },
          { 'permission' : 'View', 'acquired' : 1, 'roles' : ['Anonymous', 'Manager'], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager', 'Reviewer'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},

          { 'permission' : 'Review portal content', 'acquired' : 1, 'roles' : [],},
        ),
      },
    },
    'transitions' : {
      'hide' : {
        'title' : """Member makes content private""",
        'new_state_id' : """private""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Make private""",
        'actbox_url' : """%(content_url)s/content_hide_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_roles': 'Owner'},
      },
      'show' : {
        'title' : """Member makes content visible""",
        'new_state_id' : """visible""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Make visible""",
        'actbox_url' : """%(content_url)s/content_show_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_roles': 'Owner'},
      },
      'publish' : {
        'title' : """Reviewer publishes content""",
        'new_state_id' : """published""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Publish""",
        'actbox_url' : """%(content_url)s/content_publish_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Review portal content'},
      },
      'reject' : {
        'title' : """Reviewer rejects submission""",
        'new_state_id' : """rejected""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """WFReject""",
        'actbox_name' : """Reject""",
        'actbox_url' : """%(content_url)s/content_reject_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Review portal content'},
      },
      'retract' : {
        'title' : """Member retracts submission""",
        'new_state_id' : """visible""",
        'trigger_type' : 1,
        'script_name' : """""",
        'after_script_name' : """""",
        'actbox_name' : """Retract""",
        'actbox_url' : """%(content_url)s/content_retract_form""",
        'actbox_category' : """workflow""",
        'props' : {'guard_permissions': 'Request review'},
      },
    },
    'variables' : {
      'action' : {
        'description' : """The last transition""",
        'default_value' : """""",
        'default_expr' : """transition/getId|nothing""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'review_history' : {
        'description' : """Provides access to workflow history""",
        'default_value' : """""",
        'default_expr' : """state_change/getHistory""",
        'for_catalog' : 0,
        'for_status' : 0,
        'update_always' : 0,
        'props' : {'guard_permissions': 'Request review; Review portal content'}
      },
      'actor' : {
        'description' : """The ID of the user who performed the last transition""",
        'default_value' : """""",
        'default_expr' : """user/getId""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'comments' : {
        'description' : """Comments about the last transition""",
        'default_value' : """""",
        'default_expr' : """python:state_change.kwargs.get('comment', '')""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'time' : {
        'description' : """Time of the last transition""",
        'default_value' : """""",
        'default_expr' : """state_change/getDateTime""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
    },
    'worklists' : {
      'reviewer_queue' : {
        'description' : """Reviewer tasks""",
        'actbox_name' : """Pending (%(count)d)""",
        'actbox_url' : """%(portal_url)s/search?review_state=pending""",
        'actbox_category' : """global""",
        'props' : {'guard_permissions': 'Review portal content', 'var_match_review_state': 'pending'}
      },
    },
    'scripts' : {
      'WFReject' : 'WFReject.py',
    },
  },

  'newsletter_suscriber_workflow' : {
    'title' : 'Suscriber Workflow [ArcDeSeine_Skin]',
    'initial_state' : 'private',
    'state_variable' : 'review_state',
    'managedPermissions' : (
      'Access contents information',
      'Modify portal content',
      'View',
      'Change portal events',
      'Request review',

      'Manage properties',
      'Undo changes',
      'Add portal events',
      'Change local roles',
      'Change portal topics',
      'Edit PlonePopoll',
      'Modify constrain types',
      'Modify view template',
      'PNL Add Subscriber',
      'PNL Change Newsletter',
      'PNL Change Newsletter Theme',
      'PNL Change Subscriber',
      'Set Group Ownership',
      'View Groups',

      'Review portal content',
    ),
    'states' : {
      'private' : {
        'title' : 'Private',
        'transitions' : ('show', 'publish',),
        'permissions' : (
          { 'permission' : 'Access contents information', 'acquired' : 0, 'roles' : ['Manager', 'Owner', 'Authenticated', 'Anonymous'], },
          { 'permission' : 'Modify portal content', 'acquired' : 0, 'roles' : ['Manager', 'Owner', 'Authenticated', 'Anonymous'], },
          { 'permission' : 'View', 'acquired' : 0, 'roles' : ['Manager', 'Owner', 'Authenticated', 'Anonymous'], },
          { 'permission' : 'Change portal events', 'acquired' : 0, 'roles' : ['Manager', 'Owner', 'Authenticated', 'Anonymous'], },
          { 'permission' : 'Request review', 'acquired' : 1, 'roles' : [], },

          { 'permission' : 'Manage properties', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Undo changes', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Add portal events', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Change local roles', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Change portal topics', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Edit PlonePopoll', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Modify constrain types', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'Modify view template', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Add Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'PNL Change Newsletter Theme', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'PNL Change Subscriber', 'acquired' : 1, 'roles' : [],},
          { 'permission' : 'Set Group Ownership', 'acquired' : 0, 'roles' : ['Manager'],},
          { 'permission' : 'View Groups', 'acquired' : 1, 'roles' : [],},
        ),
      },
    },
    'transitions' : {
    },
    'variables' : {
      'action' : {
        'description' : """The last transition""",
        'default_value' : """""",
        'default_expr' : """transition/getId|nothing""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'review_history' : {
        'description' : """Provides access to workflow history""",
        'default_value' : """""",
        'default_expr' : """state_change/getHistory""",
        'for_catalog' : 0,
        'for_status' : 0,
        'update_always' : 0,
        'props' : {'guard_permissions': 'Request review; Review portal content'}
      },
      'actor' : {
        'description' : """The ID of the user who performed the last transition""",
        'default_value' : """""",
        'default_expr' : """user/getId""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'comments' : {
        'description' : """Comments about the last transition""",
        'default_value' : """""",
        'default_expr' : """python:state_change.kwargs.get('comment', '')""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
      'time' : {
        'description' : """Time of the last transition""",
        'default_value' : """""",
        'default_expr' : """state_change/getDateTime""",
        'for_catalog' : 0,
        'for_status' : 1,
        'update_always' : 1,
        'props' : None
      },
    },
    'worklists' : {
      'reviewer_queue' : {
        'description' : """Reviewer tasks""",
        'actbox_name' : """Pending (%(count)d)""",
        'actbox_url' : """%(portal_url)s/search?review_state=pending""",
        'actbox_category' : """global""",
        'props' : {'guard_permissions': 'Review portal content', 'var_match_review_state': 'pending'}
      },
    },
    'scripts' : {
    },
  },
}



